## org.freedesktop.NetworkManager.DHCP4Config

org.freedesktop.NetworkManager.DHCP4Config

## Signals

    PropertiesChanged (a{sv} properties);

## Properties

    Options  readable   a{sv}

## Description

Options and configuration returned by the IPv4 DHCP server.

## Signal Details

### The "PropertiesChanged" signal

    PropertiesChanged (a{sv} properties);

DEPRECATED. Use the standard "PropertiesChanged" signal from "org.freedesktop.DBus.Properties" instead which exists since version NetworkManager 1.2.0.

`a{sv} `properties``: | A dictionary mapping property names to variant boxed values

## Property Details

### The "Options" property

    Options  readable   a{sv}

Configuration options returned by a DHCP server, if any.